Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRdCost.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRdCost.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRdCost.cpp	(revision 1185)
@@ -341,9 +341,5 @@
     else if( eDFunc >= DF_HADS && eDFunc <= DF_HADS16N )
     {
-#if !RWTH_DBBP_NO_SATD_K0028
-      rcDistParam.DistFunc = TComRdCost::xGetMaskedHADs;
-#else
       rcDistParam.DistFunc = TComRdCost::xGetMaskedSAD;
-#endif
     }
     else if( eDFunc >= DF_VSD && eDFunc <= DF_VSD16N )
@@ -445,9 +441,5 @@
   if( m_bUseMask )
   {
-#if !RWTH_DBBP_NO_SATD_K0028
-    rcDistParam.DistFunc = (bHADME)?TComRdCost::xGetMaskedHADs:TComRdCost::xGetMaskedSAD;
-#else
     rcDistParam.DistFunc = TComRdCost::xGetMaskedSAD;
-#endif
   }
 #endif
@@ -472,9 +464,5 @@
   if( m_bUseMask )
   {
-#if !RWTH_DBBP_NO_SATD_K0028
-    rcDP.DistFunc = (bHadamard)?TComRdCost::xGetMaskedHADs:TComRdCost::xGetMaskedSAD;
-#else
     rcDP.DistFunc = TComRdCost::xGetMaskedSAD;
-#endif
   }
 #endif
@@ -729,123 +717,4 @@
 }
 
-#if !RWTH_DBBP_NO_SATD_K0028
-UInt TComRdCost::xGetMaskedHADs( DistParam* pcDtParam )
-{
-  AOF(!pcDtParam->bApplyWeight);
-#if H_3D_IC
-  AOF(!pcDtParam->bUseIC);
-#endif
-  Pel* piOrg   = pcDtParam->pOrg;
-  Pel* piCur   = pcDtParam->pCur;
-  Int  iRows   = pcDtParam->iRows;
-  Int  iCols   = pcDtParam->iCols;
-  Int  iStrideCur = pcDtParam->iStrideCur;
-  Int  iStrideOrg = pcDtParam->iStrideOrg;
-  Int  iStep  = pcDtParam->iStep;
-  
-  Int  x, y;
-  
-  UInt uiSum = 0;
-  
-#if NS_HAD
-  if( ( ( iRows % 8 == 0) && (iCols % 8 == 0) && ( iRows == iCols ) ) || ( ( iRows % 8 == 0 ) && (iCols % 8 == 0) && !pcDtParam->bUseNSHAD ) )
-#else
-    if( ( iRows % 8 == 0) && (iCols % 8 == 0) )
-#endif
-    {
-      Int  iOffsetOrg = iStrideOrg<<3;
-      Int  iOffsetCur = iStrideCur<<3;
-      for ( y=0; y<iRows; y+= 8 )
-      {
-        for ( x=0; x<iCols; x+= 8 )
-        {
-          if( piOrg[x] != DBBP_INVALID_SHORT )
-          {
-            uiSum += xCalcHADs8x8( &piOrg[x], &piCur[x*iStep], iStrideOrg, iStrideCur, iStep );
-          }
-        }
-        piOrg += iOffsetOrg;
-        piCur += iOffsetCur;
-      }
-    }
-#if NS_HAD
-    else if ( ( iCols > 8 ) && ( iCols > iRows ) && pcDtParam->bUseNSHAD )
-    {
-      Int  iOffsetOrg = iStrideOrg<<2;
-      Int  iOffsetCur = iStrideCur<<2;
-      for ( y=0; y<iRows; y+= 4 )
-      {
-        for ( x=0; x<iCols; x+= 16 )
-        {
-          if( piOrg[x] != DBBP_INVALID_SHORT )
-          {
-            uiSum += xCalcHADs16x4( &piOrg[x], &piCur[x*iStep], iStrideOrg, iStrideCur, iStep );
-          }
-        }
-        piOrg += iOffsetOrg;
-        piCur += iOffsetCur;
-      }
-    }
-    else if ( ( iRows > 8 ) && ( iCols < iRows ) && pcDtParam->bUseNSHAD )
-    {
-      Int  iOffsetOrg = iStrideOrg<<4;
-      Int  iOffsetCur = iStrideCur<<4;
-      for ( y=0; y<iRows; y+= 16 )
-      {
-        for ( x=0; x<iCols; x+= 4 )
-        {
-          if( piOrg[x] != DBBP_INVALID_SHORT )
-          {
-            uiSum += xCalcHADs4x16( &piOrg[x], &piCur[x*iStep], iStrideOrg, iStrideCur, iStep );
-          }
-        }
-        piOrg += iOffsetOrg;
-        piCur += iOffsetCur;
-      }
-    }
-#endif
-    else if( ( iRows % 4 == 0) && (iCols % 4 == 0) )
-    {
-      Int  iOffsetOrg = iStrideOrg<<2;
-      Int  iOffsetCur = iStrideCur<<2;
-      
-      for ( y=0; y<iRows; y+= 4 )
-      {
-        for ( x=0; x<iCols; x+= 4 )
-        {
-          if( piOrg[x] != DBBP_INVALID_SHORT )
-          {
-            uiSum += xCalcHADs4x4( &piOrg[x], &piCur[x*iStep], iStrideOrg, iStrideCur, iStep );
-          }
-        }
-        piOrg += iOffsetOrg;
-        piCur += iOffsetCur;
-      }
-    }
-    else if( ( iRows % 2 == 0) && (iCols % 2 == 0) )
-    {
-      Int  iOffsetOrg = iStrideOrg<<1;
-      Int  iOffsetCur = iStrideCur<<1;
-      for ( y=0; y<iRows; y+=2 )
-      {
-        for ( x=0; x<iCols; x+=2 )
-        {
-          if( piOrg[x] != DBBP_INVALID_SHORT )
-          {
-            uiSum += xCalcHADs2x2( &piOrg[x], &piCur[x*iStep], iStrideOrg, iStrideCur, iStep );
-          }
-        }
-        piOrg += iOffsetOrg;
-        piCur += iOffsetCur;
-      }
-    }
-    else
-    {
-      assert(false);
-    }
-  
-  return uiSum >> DISTORTION_PRECISION_ADJUSTMENT(pcDtParam->bitDepth-8);
-}
-#endif
 
 UInt TComRdCost::xGetMaskedVSD( DistParam* pcDtParam )
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRdCost.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRdCost.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRdCost.h	(revision 1185)
@@ -320,7 +320,4 @@
   static UInt xGetMaskedSSE     ( DistParam* pcDtParam );
   static UInt xGetMaskedSAD     ( DistParam* pcDtParam );
-#if !RWTH_DBBP_NO_SATD_K0028
-  static UInt xGetMaskedHADs    ( DistParam* pcDtParam );
-#endif
   static UInt xGetMaskedVSD     ( DistParam* pcDtParam );
 #endif
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRom.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRom.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRom.cpp	(revision 1185)
@@ -745,10 +745,5 @@
   assert( uiWidth == uiHeight );
 
-#if SHARP_DMM_CLEAN_K0042
   Int posStart = 0, posEnd = 0;
-#else
-  UChar    uhStartX = 0,    uhStartY = 0,    uhEndX = 0,    uhEndY = 0;
-  Int   iStepStartX = 0, iStepStartY = 0, iStepEndX = 0, iStepEndY = 0;
-#endif
 
   UInt uiBlockSize = 0;
@@ -762,27 +757,12 @@
   for( UInt uiOri = 0; uiOri < 6; uiOri++ )
   {
-#if !SHARP_DMM_CLEAN_K0042
-    // init the edge line parameters for each of the 6 wedgelet types
-    switch( uiOri )
-    {
-    case( 0 ): {  uhStartX = 0;               uhStartY = 0;               uhEndX = 0;               uhEndY = 0;               iStepStartX = +1; iStepStartY =  0; iStepEndX =  0; iStepEndY = +1; break; }
-    case( 1 ): {  uhStartX = (uiBlockSize-1); uhStartY = 0;               uhEndX = (uiBlockSize-1); uhEndY = 0;               iStepStartX =  0; iStepStartY = +1; iStepEndX = -1; iStepEndY =  0; break; }
-    case( 2 ): {  uhStartX = (uiBlockSize-1); uhStartY = (uiBlockSize-1); uhEndX = (uiBlockSize-1); uhEndY = (uiBlockSize-1); iStepStartX = -1; iStepStartY =  0; iStepEndX =  0; iStepEndY = -1; break; }
-    case( 3 ): {  uhStartX = 0;               uhStartY = (uiBlockSize-1); uhEndX = 0;               uhEndY = (uiBlockSize-1); iStepStartX =  0; iStepStartY = -1; iStepEndX = +1; iStepEndY =  0; break; }
-    case( 4 ): {  uhStartX = 0;               uhStartY = 0;               uhEndX = 0;               uhEndY = (uiBlockSize-1); iStepStartX = +1; iStepStartY =  0; iStepEndX = +1; iStepEndY =  0; break; }
-    case( 5 ): {  uhStartX = (uiBlockSize-1); uhStartY = 0;               uhEndX = 0;               uhEndY = 0;               iStepStartX =  0; iStepStartY = +1; iStepEndX =  0; iStepEndY = +1; break; }
-    }
-#endif
-
-#if SHARP_DMM_CLEAN_K0042
+
     posEnd = (Int) racWedgeList.size();
     if (uiOri == 0 || uiOri == 4)
     {
-#endif
     for( Int iK = 0; iK < uiBlockSize; iK += (uiWidth>=16 ?2:1))
     {
       for( Int iL = 0; iL < uiBlockSize; iL += ((uiWidth>=16 && uiOri<4)?2:1) )
       {
-#if SHARP_DMM_CLEAN_K0042
         Int xS = iK;
         Int yS = 0;
@@ -790,11 +770,7 @@
         Int yE = (uiOri == 0) ? iL : uiBlockSize - 1;
         cTempWedgelet.setWedgelet( xS, yS, xE, yE, uiOri, eWedgeRes, ((iL%2)==0 && (iK%2)==0) );
-#else
-        cTempWedgelet.setWedgelet( uhStartX + (iK*iStepStartX) , uhStartY + (iK*iStepStartY), uhEndX + (iL*iStepEndX), uhEndY + (iL*iStepEndY), (UChar)uiOri, eWedgeRes, ((iL%2)==0 && (iK%2)==0) );
-#endif
         addWedgeletToList( cTempWedgelet, racWedgeList, racWedgeRefList );
       }
     }
-#if SHARP_DMM_CLEAN_K0042
     }
     else
@@ -807,5 +783,4 @@
     }
     posStart = posEnd;
-#endif
   }
 
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 1185)
@@ -137,19 +137,10 @@
 #endif
 #if H_3D
-#if HHI_INTER_COMP_PRED_K0052
 , m_inCmpPredFlag                 ( false )
-#endif
-#if HHI_CAM_PARA_K0052
 , m_numViews                        ( 0    )
-#endif
 , m_depthToDisparityB             ( NULL )
 , m_depthToDisparityF             ( NULL )
-#endif
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+
 , m_bApplyDIS                     (false)
-#else
-#if H_3D_SINGLE_DEPTH
-, m_bApplySingleDepthMode         (false)
-#endif
 #endif
 #endif
@@ -191,5 +182,5 @@
   m_iDefaultRefViewIdx = -1;
   m_bDefaultRefViewIdxAvailableFlag = false;
-#if HHI_INTER_COMP_PRED_K0052
+#if H_3D
   m_ivMvPredFlag           = false;
   m_ivMvScalingFlag        = false;
@@ -214,9 +205,5 @@
   m_puiSubstreamSizes = NULL;
 #if H_3D
-#if HHI_CAM_PARA_K0052   
   for( UInt i = 0; i < m_numViews; i++ )
-#else
-  for( UInt i = 0; i < getViewIndex(); i++ )
-#endif
   {
     if ( m_depthToDisparityB && m_depthToDisparityB[ i ] )
@@ -604,9 +591,7 @@
   UInt NumPocLtCurr = 0;
   Int i;
-
-#if HHI_RES_PRED_K0052
+#if H_3D
   m_pocsInCurrRPSs.clear();
 #endif
-
   for(i=0; i < m_pcRPS->getNumberOfNegativePictures(); i++)
   {
@@ -619,5 +604,5 @@
       NumPocStCurr0++;
       pcRefPic->setCheckLTMSBPresent(false);  
-#if HHI_RES_PRED_K0052
+#if H_3D
       m_pocsInCurrRPSs.push_back( pcRefPic->getPOC() ); 
 #endif
@@ -635,5 +620,5 @@
       NumPocStCurr1++;
       pcRefPic->setCheckLTMSBPresent(false);  
-#if HHI_RES_PRED_K0052
+#if H_3D
       m_pocsInCurrRPSs.push_back( pcRefPic->getPOC() ); 
 #endif
@@ -650,5 +635,5 @@
       RefPicSetLtCurr[NumPocLtCurr] = pcRefPic;
       NumPocLtCurr++;
-#if HHI_RES_PRED_K0052
+#if H_3D
       m_pocsInCurrRPSs.push_back( pcRefPic->getPOC() ); 
 #endif
@@ -662,5 +647,5 @@
 
   Int numPocInterCurr = NumPocStCurr0 + NumPocStCurr1 + NumPocLtCurr; 
-#if HHI_RES_PRED_K0052
+#if H_3D
   assert( numPocInterCurr == (Int) m_pocsInCurrRPSs.size() ); 
 #endif
@@ -837,5 +822,4 @@
 Void TComSlice::setCamparaSlice( Int** aaiScale, Int** aaiOffset )
 {  
-#if HHI_CAM_PARA_K0052
   Int voiInVps      = m_pcVPS->getVoiInVps(getViewIndex() ); 
   if( m_pcVPS->getNumCp( voiInVps ) > 0 )
@@ -855,16 +839,4 @@
     }
   } 
-#else
-  if( m_pcVPS->hasCamParInSliceHeader( m_viewIndex ) )
-  {    
-    for( UInt uiBaseViewIndex = 0; uiBaseViewIndex < m_viewIndex; uiBaseViewIndex++ )
-    {
-      m_aaiCodedScale [ 0 ][ uiBaseViewIndex ] = aaiScale [ uiBaseViewIndex ][     m_viewIndex ];
-      m_aaiCodedScale [ 1 ][ uiBaseViewIndex ] = aaiScale [     m_viewIndex ][ uiBaseViewIndex ];
-      m_aaiCodedOffset[ 0 ][ uiBaseViewIndex ] = aaiOffset[ uiBaseViewIndex ][     m_viewIndex ];
-      m_aaiCodedOffset[ 1 ][ uiBaseViewIndex ] = aaiOffset[     m_viewIndex ][ uiBaseViewIndex ];
-    }
-  } 
-#endif
 }
 #endif
@@ -1165,10 +1137,6 @@
   }
 #endif
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   m_bApplyDIS = pSrc->m_bApplyDIS;
-#else
-#if H_3D_SINGLE_DEPTH
-  m_bApplySingleDepthMode = pSrc->m_bApplySingleDepthMode;
-#endif
 #endif
 #if H_3D_IC
@@ -2217,5 +2185,4 @@
 {
   m_numViews = 1; 
-#if HHI_VIEW_ID_LIST_I5_J0107 || HHI_INTER_COMP_PRED_K0052
 #if H_3D
   AOF( m_viewOIdxList.size() == 0 ); 
@@ -2223,5 +2190,4 @@
   m_viewOIdxList.push_back( 0 );        
 #endif
-#endif
 
   for( Int i = 0; i <=  getMaxLayersMinus1(); i++ )
@@ -2241,9 +2207,7 @@
       {
         m_numViews++;
-#if HHI_VIEW_ID_LIST_I5_J0107  || HHI_INTER_COMP_PRED_K0052
 #if H_3D
         m_viewOIdxList.push_back( getViewOrderIdx( lId ) );        
 #endif
-#endif
       }
     }
@@ -2271,7 +2235,4 @@
     }
   }
-#if !BUG_FIX_TK65
-  assert( foundLayerIdinNuh != -1 ); 
-#endif
   return foundLayerIdinNuh;
 }
@@ -2281,5 +2242,4 @@
   Int i = 0, j = 0;
 
-#if HHI_CAM_PARA_K0052
   m_numCp    = new Int [ iNumViews ];
   m_cpRefVoi = new Int*[ iNumViews ];
@@ -2287,8 +2247,4 @@
 
   m_cpPresentFlag  = new Bool*[ iNumViews ]; 
-#else
-  m_bCamParPresent = new Bool[ iNumViews ];
-  m_bCamParInSliceHeader = new Bool[ iNumViews ];
-#endif
   
 
@@ -2297,15 +2253,9 @@
   for ( i = 0; i < iNumViews ; i++ )
   {
-#if HHI_CAM_PARA_K0052
     m_cpInSliceSegmentHeaderFlag[i] = false;     
-#else
-    m_bCamParPresent[i] = false; 
-    m_bCamParInSliceHeader[i] = false; 
-#endif
     
     m_aaaiCodedScale[i] = new Int*[ 2 ];
     m_aaaiCodedOffset[i] = new Int*[ 2 ];
 
-#if HHI_CAM_PARA_K0052
     m_numCp   [i] = 0; 
     m_cpRefVoi[i] = new Int[ iNumViews ];
@@ -2316,5 +2266,4 @@
       m_cpPresentFlag[i][j] = false; 
     }
-#endif
     for ( j = 0; j < 2; j++ )
     {
@@ -2335,14 +2284,4 @@
   Int i = 0, j = 0;
 
-#if !HHI_CAM_PARA_K0052
-  if ( m_bCamParPresent != NULL )
-  {
-    delete [] m_bCamParPresent;
-  }
-  if ( m_bCamParInSliceHeader != NULL )
-  {
-    delete [] m_bCamParInSliceHeader;
-  }
-#else
   if ( m_numCp != NULL )
   {
@@ -2373,5 +2312,4 @@
     delete [] m_cpInSliceSegmentHeaderFlag;
   }
-#endif
 
 
@@ -2404,25 +2342,4 @@
 
 
-#if !HHI_CAM_PARA_K0052
-Void TComVPS::initCamParaVPS( UInt uiViewIndex, Bool bCamParPresent, UInt uiCamParPrecision, Bool bCamParSlice, Int** aaiScale, Int** aaiOffset )
-{
-  AOT( uiViewIndex != 0 && !bCamParSlice && ( aaiScale == 0 || aaiOffset == 0 ) );  
-
-  m_uiCamParPrecision = ( ( uiViewIndex != 0 )? uiCamParPrecision : 0 );
-  m_bCamParPresent[ uiViewIndex ] = (( uiViewIndex != 0 )? bCamParPresent  : false );
-  m_bCamParInSliceHeader[ uiViewIndex ]  = ( (uiViewIndex != 0)? bCamParSlice  : false );
-
-  if( !m_bCamParInSliceHeader[ uiViewIndex ] )
-  {
-    for( UInt uiBaseViewIndex = 0; uiBaseViewIndex < uiViewIndex; uiBaseViewIndex++ )
-    {
-      m_aaaiCodedScale [ uiViewIndex ][ 0 ][ uiBaseViewIndex ] = aaiScale [ uiBaseViewIndex ][     uiViewIndex ];
-      m_aaaiCodedScale [ uiViewIndex ][ 1 ][ uiBaseViewIndex ] = aaiScale [     uiViewIndex ][ uiBaseViewIndex ];
-      m_aaaiCodedOffset[ uiViewIndex ][ 0 ][ uiBaseViewIndex ] = aaiOffset[ uiBaseViewIndex ][     uiViewIndex ];
-      m_aaaiCodedOffset[ uiViewIndex ][ 1 ][ uiBaseViewIndex ] = aaiOffset[     uiViewIndex ][ uiBaseViewIndex ];
-    }
-  }
-}
-#endif
 
 #endif // H_3D
@@ -2858,9 +2775,4 @@
 , m_interViewMvVertConstraintFlag (false)
 #endif
-#if H_3D
-#if !HHI_CAM_PARA_K0052
-, m_bCamParInSliceHeader      (false)
-#endif
-#endif
 {
   for ( Int i = 0; i < MAX_TLAYER; i++ )
@@ -3885,5 +3797,5 @@
       {
         Int layerIdInNuh = getRefPicLayerId( i );
-#if HHI_RES_PRED_K0052
+
         TComPic* picV = getIvPic( getIsDepth(), getVPS()->getViewIndex( layerIdInNuh ) );
         assert( picV != NULL ); 
@@ -3900,9 +3812,4 @@
 
         if (getFirstTRefIdx(eRefPicList) >= 0 && refRpRefAvailFlag )
-#else
-        Int viewIdx = getVPS()->getViewId( layerIdInNuh );
-        TComPic*pcPicPrev = ivPicLists->getPic(viewIdx, 0, prevPOC);
-        if (getFirstTRefIdx(eRefPicList) >= 0 && pcPicPrev && pcPicPrev->getSlice( 0 )->isReferenced())
-#endif
         {
           m_arpRefPicAvailable[eRefPicList][layerIdInNuh] = true;
@@ -4087,17 +3994,10 @@
     return; 
 
-#if HHI_CAM_PARA_K0052
   m_numViews = getVPS()->getNumViews(); 
-#endif
   /// GT: Allocation should be moved to a better place later; 
   if ( m_depthToDisparityB == NULL )
   {
-#if HHI_CAM_PARA_K0052    
     m_depthToDisparityB = new Int*[ m_numViews ];
     for ( Int i = 0; i < getVPS()->getNumViews(); i++ )
-#else
-    m_depthToDisparityB = new Int*[ getViewIndex() ];
-    for ( Int i = 0; i < getViewIndex(); i++ )
-#endif
     {
       m_depthToDisparityB[ i ] = new Int[ Int(1 << g_bitDepthY) ]; 
@@ -4108,11 +4008,6 @@
   if ( m_depthToDisparityF == NULL )
   {
-#if HHI_CAM_PARA_K0052    
     m_depthToDisparityF = new Int*[ m_numViews ];
     for ( Int i = 0; i < m_numViews; i++ )
-#else
-    m_depthToDisparityF= new Int*[ getViewIndex() ];
-    for ( Int i = 0; i < getViewIndex(); i++ )
-#endif
     {
       m_depthToDisparityF[ i ] = new Int[ Int(1 << g_bitDepthY) ]; 
@@ -4125,5 +4020,4 @@
   TComVPS* vps = getVPS(); 
 
-#if HHI_CAM_PARA_K0052
   Int log2Div = g_bitDepthY - 1 + vps->getCpPrecision();
   Int voiInVps = vps->getVoiInVps( getViewIndex() ); 
@@ -4155,28 +4049,4 @@
     }
   }
-#else
-  Int log2Div = g_bitDepthY - 1 + vps->getCamParPrecision();
-
-  Int viewIndex = getViewIndex();
-
-  Bool camParaSH = vps->hasCamParInSliceHeader( viewIndex );
-
-  Int* codScale     = camParaSH ? m_aaiCodedScale [ 0 ] : vps->getCodedScale    ( viewIndex ); 
-  Int* codOffset    = camParaSH ? m_aaiCodedOffset[ 0 ] : vps->getCodedOffset   ( viewIndex ); 
-  Int* invCodScale  = camParaSH ? m_aaiCodedScale [ 1 ] : vps->getInvCodedScale ( viewIndex ); 
-  Int* invCodOffset = camParaSH ? m_aaiCodedOffset[ 1 ] : vps->getInvCodedOffset( viewIndex ); 
-
-  for (Int i = 0; i <= ( getViewIndex() - 1); i++)
-  {
-    for ( Int d = 0; d <= ( ( 1 << g_bitDepthY ) - 1 ); d++ )
-    {
-      Int offset =    ( codOffset  [ i ] << g_bitDepthY ) + ( ( 1 << log2Div ) >> 1 );         
-      m_depthToDisparityB[ i ][ d ] = ( codScale [ i ] * d + offset ) >> log2Div; 
-
-      Int invOffset = ( invCodOffset[ i ] << g_bitDepthY ) + ( ( 1 << log2Div ) >> 1 );         
-      m_depthToDisparityF[ i ][ d ] = ( invCodScale[ i ] * d + invOffset ) >> log2Div; 
-    }
-  }
-#endif
 }
 #endif
@@ -4222,76 +4092,4 @@
   Bool depthFlag = getIsDepth();
 
-#if !HHI_INTER_COMP_PRED_K0052
-  Bool depthOfRefViewsAvailFlag = false; 
-  Bool textOfCurViewAvailFlag = false; 
-
-  TComVPS* vps = getVPS(); 
-
-  if( !depthFlag )
-  {
-    depthOfRefViewsAvailFlag = true;
-    for( Int i = 0; i <= vps->getNumRefListLayers( getLayerId() ) - 1; i++)
-    {
-      Bool curDepthAvailableFlag = false;    
-      for (Int j = 0; j <= vps->getMaxLayersMinus1(); j++ )
-      {
-        if ( vps->getDirectDependencyFlag( vps->getLayerIdInVps( getLayerId() ), j )
-          && vps->getVpsDepthFlag        ( vps->getLayerIdInNuh( j ) ) == 1
-          && vps->getViewOrderIdx( vps->getLayerIdInNuh( j ) ) == vps->getViewOrderIdx( vps->getIdRefListLayer( getLayerId(), i ) )
-          && vps->getDependencyId( vps->getLayerIdInNuh( j ) ) == 0
-          && vps->getAuxId       ( vps->getLayerIdInNuh( j ) ) == 0
-          )
-        {
-          curDepthAvailableFlag = true; 
-        }
-      }
-      if ( !curDepthAvailableFlag )
-      {
-        depthOfRefViewsAvailFlag = false; 
-      }    
-    }
-  }
-  else
-  {
-    for (Int j = 0; j <= vps->getMaxLayersMinus1(); j++ )
-    {
-      if ( vps->getDirectDependencyFlag( vps->getLayerIdInVps( getLayerId() ), j ) 
-        && vps->getVpsDepthFlag( vps->getLayerIdInNuh( j ) ) == 0
-        && vps->getViewOrderIdx( vps->getLayerIdInNuh( j ) ) == getViewIndex() 
-        && vps->getDependencyId( vps->getLayerIdInNuh( j ) ) == 0
-        && vps->getAuxId       ( vps->getLayerIdInNuh( j ) ) == 0
-        )
-      {        
-        textOfCurViewAvailFlag = true; 
-      }
-    }
-  }
-
-
-  Bool lidG0  = ( getLayerId() > 0 );
-  Bool nRLLG0 =  ( getVPS()->getNumRefListLayers( getLayerId() ) > 0 );     
-
-  TComSps3dExtension* sps3dExt = getSPS()->getSps3dExtension();
-
-  m_ivMvPredFlag           = sps3dExt->getIvMvPredFlag         ( depthFlag ) && lidG0 && nRLLG0                           ;                             
-  m_ivMvScalingFlag        = sps3dExt->getIvMvScalingFlag      ( depthFlag ) && lidG0                                    ;                             
-  m_ivResPredFlag          = sps3dExt->getIvResPredFlag        ( depthFlag ) && lidG0 && nRLLG0                           ;                               
-  m_depthRefinementFlag    = sps3dExt->getDepthRefinementFlag  ( depthFlag ) && lidG0           && depthOfRefViewsAvailFlag;                            
-  m_viewSynthesisPredFlag  = sps3dExt->getViewSynthesisPredFlag( depthFlag ) && lidG0 && nRLLG0 && depthOfRefViewsAvailFlag;                          
-  m_depthBasedBlkPartFlag  = sps3dExt->getDepthBasedBlkPartFlag( depthFlag ) && lidG0           && depthOfRefViewsAvailFlag;                          
-  m_mpiFlag                = sps3dExt->getMpiFlag              ( depthFlag ) && lidG0           &&   textOfCurViewAvailFlag;
-  m_intraContourFlag       = sps3dExt->getIntraContourFlag     ( depthFlag ) && lidG0           &&   textOfCurViewAvailFlag;
-  m_intraSdcWedgeFlag      = sps3dExt->getIntraSdcWedgeFlag    ( depthFlag ) && lidG0                                     ;                          
-  m_qtPredFlag             = sps3dExt->getQtPredFlag           ( depthFlag ) && lidG0           &&   textOfCurViewAvailFlag;
-  m_interSdcFlag           = sps3dExt->getInterSdcFlag         ( depthFlag ) && lidG0                                    ;  
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
-  m_depthIntraSkipFlag     = sps3dExt->getDepthIntraSkipFlag   ( depthFlag ) && lidG0                                    ;                          
-#else
-  m_intraSingleFlag        = sps3dExt->getIntraSingleFlag      ( depthFlag ) && lidG0                                    ;                          
-#endif
-
-  m_subPbSize              = lidG0 ? ( 1 << ( sps3dExt->getLog2SubPbSizeMinus3   ( depthFlag ) + 3 ) ) : getSPS()->getMaxCUWidth();  
-  m_mpiSubPbSize           = 1 << ( sps3dExt->getLog2MpiSubPbSizeMinus3( depthFlag ) + 3 );
-#else
   Bool nRLLG0 =  ( getVPS()->getNumRefListLayers( getLayerId() ) > 0 );     
 
@@ -4301,11 +4099,6 @@
   m_ivMvScalingFlag        = sps3dExt->getIvMvScalingFlag      ( depthFlag )                                 ;                             
   m_ivResPredFlag          = sps3dExt->getIvResPredFlag        ( depthFlag ) && nRLLG0                       ;                               
-#if HHI_CAM_PARA_K0052
   m_depthRefinementFlag    = sps3dExt->getDepthRefinementFlag  ( depthFlag )           && getInCompPredFlag() && m_cpAvailableFlag;
   m_viewSynthesisPredFlag  = sps3dExt->getViewSynthesisPredFlag( depthFlag ) && nRLLG0 && getInCompPredFlag() && m_cpAvailableFlag;
-#else
-  m_depthRefinementFlag    = sps3dExt->getDepthRefinementFlag  ( depthFlag )           && getInCompPredFlag();                            
-  m_viewSynthesisPredFlag  = sps3dExt->getViewSynthesisPredFlag( depthFlag ) && nRLLG0 && getInCompPredFlag();                            
-#endif
   m_depthBasedBlkPartFlag  = sps3dExt->getDepthBasedBlkPartFlag( depthFlag )           && getInCompPredFlag();                          
   m_mpiFlag                = sps3dExt->getMpiFlag              ( depthFlag )           && getInCompPredFlag();
@@ -4319,5 +4112,4 @@
   m_mpiSubPbSize           =  1 << ( sps3dExt->getLog2MpiSubPbSizeMinus3( depthFlag ) + 3 );
 
-#endif
 
 #if H_3D_OUTPUT_ACTIVE_TOOLS
@@ -4325,12 +4117,6 @@
   std::cout << "DepthFlag:              :" << getIsDepth()             << std::endl;
   std::cout << "ViewOrderIdx:           :" << getViewIndex()           << std::endl;
-#if HHI_INTER_COMP_PRED_K0052
   std::cout << "InterCmpPredAvailableFlag:" << getInCmpPredAvailFlag() << std::endl;
   std::cout << "InterCompPredFlag       :"  << getInCompPredFlag()     << std::endl;
-  //std::cout << "TextOfCurViewAvailFlag  :" << textOfCurViewAvailFlag   << std::endl;
-#else
-  std::cout << "DepthOfRefViewsAvailFlag:" << depthOfRefViewsAvailFlag << std::endl;
-  std::cout << "TextOfCurViewAvailFlag  :" << textOfCurViewAvailFlag   << std::endl;
-#endif
   
   std::cout << "ivMvPredFlag            :" << m_ivMvPredFlag           << std::endl;
@@ -4345,9 +4131,5 @@
   std::cout << "qtPredFlag              :" << m_qtPredFlag             << std::endl;
   std::cout << "interSdcFlag            :" << m_interSdcFlag           << std::endl;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
   std::cout << "depthIntraSkipFlag      :" << m_depthIntraSkipFlag     << std::endl;    
-#else
-  std::cout << "intraSingleFlag         :" << m_intraSingleFlag        << std::endl;    
-#endif
   std::cout << "subPbSize               :" << m_subPbSize              << std::endl;
   std::cout << "mpiSubPbSize            :" << m_mpiSubPbSize           << std::endl;
